Bug 591737 - Review Request: R-ROC - Utilities for ROC
Review Request: R-ROC - Utilities for ROC
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pierre-YvesChibon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-12 18:46 EDT by Sandro Mathys
Modified: 2010-10-05 05:32 EDT (History)
3 users (show)

See Also:
Fixed In Version: R-ROC-1.24.1-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-01 08:21:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pingou: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sandro Mathys 2010-05-12 18:46:04 EDT
Spec URL: http://red.fedorapeople.org/SRPMS/R-ROC.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/R-ROC-1.24.0-1.fc12.src.rpm
Description: 
Utilities for ROC with uarray focus.

rpmlint {SPECS,SRPMS,RPMS/i686}/R-ROC*
R-ROC.src: W: spelling-error %description -l en_US uarray -> array, u array, hurray
R-ROC.i686: W: spelling-error %description -l en_US uarray -> array, u array, hurray
3 packages and 1 specfiles checked; 0 errors, 2 warnings.

All warnings can be safely ignored.
Comment 1 Pierre-YvesChibon 2010-05-18 03:57:58 EDT
I would change the "uarray" to "micro-array" in the description for a better understanding.

* Latest version packaged
5b5eb004ba4c3ce7f01910d5bbb83b8dc3648c3c  ROC_1.24.0.tar.gz
5b5eb004ba4c3ce7f01910d5bbb83b8dc3648c3c  /home/pierrey/rpmbuild/SOURCES/ROC_1.24.0.tar.gz
* sha1sum are equals
* All required Requires are present
* All required BuildRequires are present
* There is 1 %dir
  %dir is OK
* There is 4 %doc
? More element than expected in %doc
   COPYING
This is fine
* The rpm installed in _libdir
* The rpm seems to have the required element in %install
* The rpm uses %{_libdir} and is arch
rpmbuild -ba /home/pierrey/rpmbuild/SPECS/R-ROC.spec > R-ROC.spec-build.log 2>&1 
* Build properly under 2.6.33.2-57.fc13.x86_64
* rpmlint:
R-ROC.src: W: spelling-error %description -l en_US uarray -> array, u array, hurray
R-ROC.x86_64: W: spelling-error %description -l en_US uarray -> array, u array, hurray
3 packages and 0 specfiles checked; 0 errors, 2 warnings.
Scratch build on koji for target f14
* Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2193549
   0 free  0 open  3 done  0 failed
   2193549 build (dist-f14, R-ROC-1.24.0-1.fc12.src.rpm) completed successfully

* Build is fine
* rpmlint's warnings are safe to ignore
* %check is present
* All -1 check pass successfully (one gives a NOTE, but that's not a blocker)
! License in the DESCRIPTION says LGPLv2+ while the license in COPYING says GPLv2

If you can solve the license question I will approve the package.
You might want to ask upstream for the reason of the presence of the file "ROC.hyndman.R" which contains only commented code.
Comment 2 Sandro Mathys 2010-05-20 16:23:44 EDT
Thanks for the review so far Pierre-Yves!

(In reply to comment #1)
> ! License in the DESCRIPTION says LGPLv2+ while the license in COPYING says
> GPLv2

Sorry, been busy so for but I just sent upstream an email about this now.

> If you can solve the license question I will approve the package.
> You might want to ask upstream for the reason of the presence of the file
> "ROC.hyndman.R" which contains only commented code.    

Awww, forgot to ask that. Will do so as soon as I get an answer.
Comment 3 Pierre-YvesChibon 2010-06-02 07:36:07 EDT
Any news on this one ?
Comment 4 Pierre-YvesChibon 2010-06-28 02:15:24 EDT
Any news Sandro ?
Comment 5 Sandro Mathys 2010-07-12 15:21:53 EDT
Spec URL: http://red.fedorapeople.org/SRPMS/R-ROC.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/R-ROC-1.24.1-1.fc12.src.rpm

Okay, there's been a change to the license, COPYING was removed and the license changed to Artistic 2.0.

Asked upstream about ROC.hyndman.R now but I think we don't need to wait for the answer here as this is non-critical. I guess it's simply old code that upstream didn't want to throw away yet.
Comment 6 Sandro Mathys 2010-07-12 15:27:18 EDT
Answer from upstream:
"because some day i may check and introduce the code." - so I guess it's not old but new code but not in use anyway. I could cease to install the file but I fear that I'll forget about it later and it'll give me some headache some day when the code would be used. So if you have no objection I'd leave it as-is.
Comment 7 Pierre-YvesChibon 2010-08-30 10:26:27 EDT
* Latest version packaged
18ddf2cf3d20c1be435952ba333e7cc003d5e60b  ROC_1.24.1.tar.gz
18ddf2cf3d20c1be435952ba333e7cc003d5e60b  /home/pierrey/rpmbuild/SOURCES/ROC_1.24.1.tar.gz
* sha1sum are equals
* All required Requires are present
* All required BuildRequires are present
* The macro %check is present
* There is 1 %dir
  %dir is OK
* There is 3 %doc
  %doc is OK
* The rpm installed in _libdir
* The rpm uses %{_libdir} and is arch
* The rpm seems to have the required element in %install
LANG=C rpmbuild -ba /home/pierrey/rpmbuild/SPECS/R-ROC.spec > R-ROC.spec-build.log 2>&1 
* Build properly under 2.6.33.8-149.fc13.x86_64
* rpmlint:
R-ROC.src: W: spelling-error %description -l en_US uarray -> array, u array, hurray
R-ROC.x86_64: W: spelling-error %description -l en_US uarray -> array, u array, hurray
3 packages and 0 specfiles checked; 0 errors, 2 warnings.
Scratch build on koji for target f14
* Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2435141
   0 free  0 open  3 done  0 failed
   2435141 build (dist-f14, R-ROC-1.24.1-1.fc12.src.rpm) completed successfully

* Build is fine
* rpmlint's warnings are safe to ignore
* %check is present
* All -1 check pass successfully (one gives a NOTE, but that's not a blocker)
* License is compatible with Fedora

------------------
Package *Approved*
Comment 8 Pierre-YvesChibon 2010-09-21 14:12:54 EDT
ping ?
Comment 9 Sandro Mathys 2010-09-22 09:26:59 EDT
New Package SCM Request
=======================
Package Name: R-ROC
Short Description: Utilities for ROC
Owners: red
Branches: f13 f14
InitialCC:
Comment 10 Kevin Fenzi 2010-09-22 12:54:56 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2010-09-23 10:10:48 EDT
R-ROC-1.24.1-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/R-ROC-1.24.1-1.fc13
Comment 12 Fedora Update System 2010-09-23 10:11:32 EDT
R-ROC-1.24.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/R-ROC-1.24.1-1.fc14
Comment 13 Fedora Update System 2010-09-23 15:34:21 EDT
R-ROC-1.24.1-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-ROC'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/R-ROC-1.24.1-1.fc14
Comment 14 Fedora Update System 2010-10-01 08:21:03 EDT
R-ROC-1.24.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-10-05 05:32:39 EDT
R-ROC-1.24.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.